### A free/open-source library for quantitative finance

Classes
ql/indexes/inflationindex.hpp File Reference

base classes for inflation indexes More...

`#include <ql/index.hpp>`
`#include <ql/indexes/region.hpp>`
`#include <ql/termstructures/inflationtermstructure.hpp>`
`#include <ql/currency.hpp>`
`#include <ql/handle.hpp>`
Include dependency graph for inflationindex.hpp:

## Classes

class | InflationIndex
| Base class for inflation-rate indexes,. More...
class | ZeroInflationIndex
| Base class for zero inflation indices. More...
class | YoYInflationIndex
| Base class for year-on-year inflation indices. More...

## Detailed Description

base classes for inflation indexes